/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2007/01/31
 *
 */
package com.kickmogu.rhythm.todo;

public class TodoWorker {
	public static final String insert_NO_PERSISTENT_PROPS = "memberName";
	public final static String UNIQ_KEYNAME = "rhtym todoworker id";
	public final static int KIND_MEMBER = 1;
	public final static int KIND_MANAGER = 2;
	
	private int id;
	private int todoId;
	private int kind;
	private int memberId;
	private String memberName;
	
	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return kind を戻します。
	 */
	public int getKind() {
		return kind;
	}
	/**
	 * @param kind kind を設定。
	 */
	public void setKind(int kind) {
		this.kind = kind;
	}
	/**
	 * @return memberId を戻します。
	 */
	public int getMemberId() {
		return memberId;
	}
	/**
	 * @param memberId memberId を設定。
	 */
	public void setMemberId(int memberId) {
		this.memberId = memberId;
	}
	/**
	 * @return todoId を戻します。
	 */
	public int getTodoId() {
		return todoId;
	}
	/**
	 * @param todoId todoId を設定。
	 */
	public void setTodoId(int todoId) {
		this.todoId = todoId;
	}
	/**
	 * @return memberName を戻します。
	 */
	public String getMemberName() {
		return memberName;
	}
	/**
	 * @param memberName memberName を設定。
	 */
	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}

}
